libsigc++: sigc::hide_functor< I_location, T_functor > Struct Template Reference

libsigc++ 3.8.1

Public Member Functions | List of all members
sigc::hide_functor< I_location, T_functor > Struct Template Reference
Adaptors » hide(), hide_return()

Adaptor that adds a dummy parameter to the wrapped functor. More...

`#include <sigc++/adaptors/hide.h>`

Inheritance diagram for sigc::hide_functor< I_location, T_functor >:
[legend]

## Public Member Functions
| hide_functor (const T_functor & func)
| Constructs a hide_functor object that adds a dummy parameter to the passed functor.
template<typename... T_arg>
decltype(auto) | operator() (T_arg &&... a)
| Invokes the wrapped functor, ignoring the argument at index I_location (0-indexed).
Public Member Functions inherited from sigc::adapts< T_functor >
| adapts (const T_functor & functor)
| Constructs an adaptor that wraps the passed functor.

## Additional Inherited Members
Public Attributes inherited from sigc::adapts< T_functor >
adaptor_type | functor_
| Adaptor that is invoked from operator()().

## Detailed Description

template<int I_location, typename T_functor>
struct sigc::hide_functor< I_location, T_functor >

Adaptor that adds a dummy parameter to the wrapped functor.

Use the convenience function sigc::hide() to create an instance of sigc::hide_functor.

The following template arguments are used:

- I_location Zero-based position of the dummy parameter (`-1` for the last parameter).
- T_functor Type of the functor to wrap.

## Constructor & Destructor Documentation

## ◆ hide_functor()

template <int I_location, typename T_functor>

sigc::hide_functor< I_location, T_functor >::hide_functor | ( | const T_functor & | func | ) |
| inlineexplicit

Constructs a hide_functor object that adds a dummy parameter to the passed functor.

Parameters

  func | Functor to invoke from operator()().

## Member Function Documentation

## ◆ operator()()

template <int I_location, typename T_functor>
template <typename... T_arg>

decltype(auto) sigc::hide_functor< I_location, T_functor >::operator() | ( | T_arg &&... | a | ) |
| inline

Invokes the wrapped functor, ignoring the argument at index I_location (0-indexed).

Parameters

  a | Arguments to be passed on to the functor, apart from the ignored argument.

Returns
  The return value of the functor invocation.